%global vala_version 0.28

Name:           xfce4-vala
Version:        4.10.3
Release:        6%{?dist}
Summary:        Vala bindings for the Xfce framework

License:        LGPLv2+
URL:            http://wiki.xfce.org/vala-bindings
Source0:        http://archive.xfce.org/src/bindings/xfce4-vala/4.10/xfce4-vala-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires: exo-devel
BuildRequires: garcon-devel
BuildRequires: libxfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: vala-devel
BuildRequires: xfce4-panel-devel
BuildRequires: xfconf-devel
# Needed for %{_datadir}/vala*/vapi directory
Requires: vala = %{vala_version}.1

%description
Xfce4 Vala provides bindings for the Xfce framework


%prep
%setup -q

%build

%configure --with-vala-api=%{vala_version}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING NEWS README
%{_datadir}/pkgconfig/xfce4-vala.pc
%{_datadir}/vala-%{vala_version}/vapi/*

%changelog
* Sun Aug 30 2015 Kevin Fenzi <kevin@scrye.com> 4.10.3-6
- Update vala version to 0.28.1

* Mon May 25 2015 Raphael Groner <projects.rg@smart.ms> - 4.10.3-5
- bump to vala 0.28

* Fri Nov 14 2014 poma <poma@gmail.com> 4.10.3-4
- Bump vala to 0.26. Fixes bug #1164387

* Sun Jun 08 2014 Kevin Fenzi <kevin@scrye.com> 4.10.3-3
- Bump vala to 0.24

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 19 2013 Kevin Fenzi <kevin@scrye.com> 4.10.3-1
- Update to 4.10.3 final version.

* Thu Aug 15 2013 Kevin Fenzi <kevin@scrye.com> 4.10.3-0.1.git20130815
- Initial version for Fedora
